Package ghidra.debug.api.tracermi

# Record Class LaunchParameter<T>

java.lang.Object
java.lang.Record
ghidra.debug.api.tracermi.LaunchParameter<T>

public record LaunchParameter<T>(Class<T> type, String name, String display, String description, boolean required, List<T> choices, ValStr<T> defaultValue, ValStr.Decoder<T> decoder) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LaunchParameter(Class<T> type, String name, String display, String description, boolean required, List<T> choices, ValStr<T> defaultValue, ValStr.Decoder<T> decoder)`
  Creates an instance of a `LaunchParameter` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<T>`
  `choices()`
  Returns the value of the `choices` record component.
  `static <T> LaunchParameter<T>`
  `choices(Class<T> type, String name, String display, String description, Collection<T> choices, ValStr<T> defaultValue)`
  `static <T> LaunchParameter<T>`
  `create(Class<T> type, String name, String display, String description, boolean required, ValStr<T> defaultValue, ValStr.Decoder<T> decoder)`
  `ValStr<T>`
  `decode(String string)`
  `ValStr.Decoder<T>`
  `decoder()`
  Returns the value of the `decoder` record component.
  `ValStr<T>`
  `defaultValue()`
  Returns the value of the `defaultValue` record component.
  `String`
  `description()`
  Returns the value of the `description` record component.
  `String`
  `display()`
  Returns the value of the `display` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `ValStr<T>`
  `get(Map<String,ValStr<?>> arguments)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static Map<String,LaunchParameter<?>>`
  `mapOf(LaunchParameter<?>... parameters)`
  `static Map<String,LaunchParameter<?>>`
  `mapOf(Collection<LaunchParameter<?>> parameters)`
  `String`
  `name()`
  Returns the value of the `name` record component.
  `boolean`
  `required()`
  Returns the value of the `required` record component.
  `void`
  `set(Map<String,ValStr<?>> arguments, ValStr<T> value)`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Class<T>`
  `type()`
  Returns the value of the `type` record component.
  `static Map<String,ValStr<?>>`
  `validateArguments(Map<String,LaunchParameter<?>> parameters, Map<String,ValStr<?>> arguments)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LaunchParameter

    public LaunchParameter(Class<T> type, String name, String display, String description, boolean required, List<T> choices, ValStr<T> defaultValue, ValStr.Decoder<T> decoder)
    Creates an instance of a `LaunchParameter` record class.
    Parameters:
      `type` - the value for the `type` record component
      `name` - the value for the `name` record component
      `display` - the value for the `display` record component
      `description` - the value for the `description` record component
      `required` - the value for the `required` record component
      `choices` - the value for the `choices` record component
      `defaultValue` - the value for the `defaultValue` record component
      `decoder` - the value for the `decoder` record component

- ## Method Details

  - ### create

    public static <T> LaunchParameter<T> create(Class<T> type, String name, String display, String description, boolean required, ValStr<T> defaultValue, ValStr.Decoder<T> decoder)

  - ### choices

    public static <T> LaunchParameter<T> choices(Class<T> type, String name, String display, String description, Collection<T> choices, ValStr<T> defaultValue)

  - ### mapOf

    public static Map<String,LaunchParameter<?>> mapOf(Collection<LaunchParameter<?>> parameters)

  - ### validateArguments

    public static Map<String,ValStr<?>> validateArguments(Map<String,LaunchParameter<?>> parameters, Map<String,ValStr<?>> arguments)

  - ### mapOf

    public static Map<String,LaunchParameter<?>> mapOf(LaunchParameter<?>... parameters)

  - ### decode

    public ValStr<T> decode(String string)

  - ### get

    public ValStr<T> get(Map<String,ValStr<?>> arguments)

  - ### set

    public void set(Map<String,ValStr<?>> arguments, ValStr<T> value)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### type

    public Class<T> type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### display

    public String display()
    Returns the value of the `display` record component.
    Returns:
      the value of the `display` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component

  - ### required

    public boolean required()
    Returns the value of the `required` record component.
    Returns:
      the value of the `required` record component

  - ### choices

    public List<T> choices()
    Returns the value of the `choices` record component.
    Returns:
      the value of the `choices` record component

  - ### defaultValue

    public ValStr<T> defaultValue()
    Returns the value of the `defaultValue` record component.
    Returns:
      the value of the `defaultValue` record component

  - ### decoder

    public ValStr.Decoder<T> decoder()
    Returns the value of the `decoder` record component.
    Returns:
      the value of the `decoder` record component